summaryrefslogtreecommitdiff
path: root/tests/rm/rm5
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/rm/rm5
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/rm/rm5')
-rwxr-xr-xtests/rm/rm54
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/rm5 b/tests/rm/rm5
index a1f3231af..7868e903a 100755
--- a/tests/rm/rm5
+++ b/tests/rm/rm5
@@ -33,7 +33,7 @@ EOF
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
fail=0
@@ -54,4 +54,4 @@ test -d d && fail=1
cmp out exp || fail=1
test $fail = 1 && diff -u out exp 2> /dev/null
-(exit $fail); exit
+(exit $fail); exit $fail